# This YAML configuration is to run over data with 4 cluster collections, each identical except
# for a differently hadronically corrected energy. One should add a total of four "specialized"
# correction task wagons: "_HadCorr", """_M02SubtractionConst500", "_M02SubtractionFrac05", "_M02SubtractionFrac1".
# The cell-level corrections are performed only for the "_HadCorr" case, since it is
# executed first, and we don't want to apply them multiple times.
pass: "usedefault"
inputObjects:
    clusterContainers:
        # Used for the HadCorr (i.e. standard hadronic correction) clusters
        baseClusterContainerHadCorr:
            branchName: "caloClusters_HadCorr"
        baseClusterContainerHadCorr_1:         # Used after clusterizer
            minE: 0.0
            minPt: 0.0
        baseClusterContainerHadCorr_2:        # Used for cluster-track matcher and after
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
        # Used for the Const500 clusters
        baseClusterContainerConst500:
            branchName: "caloClusters_M02SubtractionConst500"
        baseClusterContainerConst500_1:         # Used after clusterizer
            minE: 0.0
            minPt: 0.0
        baseClusterContainerConst500_2:        # Used for cluster-track matcher and after
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
        # Used for the Frac05 clusters
        baseClusterContainerFrac05:
            branchName: "caloClusters_M02SubtractionFrac05"
        baseClusterContainerFrac05_1:        # Used after clusterizer
            minE: 0.0
            minPt: 0.0
        baseClusterContainerFrac05_2:        # Used for cluster-track matcher and after
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
        # Used for the Frac1 clusters
        baseClusterContainerFrac1:
            branchName: "caloClusters_M02SubtractionFrac1"
        baseClusterContainerFrac1_1:        # Used after clusterizer
            minE: 0.0
            minPt: 0.0
        baseClusterContainerFrac1_2:        # Used for cluster-track matcher and after
            minE: 0.0
            minPt: 0.0
            clusNonLinCorrEnergyCut: 0.15
CellEnergy:
    enabled: false
    createHistos: true
CellEnergy_HadCorr:
    enabled: true
CellBadChannel:
    enabled: false
    createHistos: true
CellBadChannel_HadCorr:
    enabled: true
CellTimeCalib:
    enabled: false
    createHistos: true
CellTimeCalib_HadCorr:
    enabled: true
Clusterizer:
    enabled: false
    cellE: 0.1
    seedE: 0.3
Clusterizer_HadCorr:
    enabled: true
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainerHadCorr
Clusterizer_M02SubtractionConst500:
    enabled: true
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainerConst500
Clusterizer_M02SubtractionFrac05:
    enabled: true
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainerFrac05
Clusterizer_M02SubtractionFrac1:
    enabled: true
    # By selecting the cluster container here, we set where it will be output
    clusterContainersNames:
        - baseClusterContainerFrac1
ClusterExotics:
    enabled: false
    createHistos: true
ClusterExotics_HadCorr:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerHadCorr_1
ClusterExotics_M02SubtractionConst500:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerConst500_1
ClusterExotics_M02SubtractionFrac05:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerFrac05_1
ClusterExotics_M02SubtractionFrac1:
    enabled: true
    clusterContainersNames:
       - baseClusterContainerFrac1_1
ClusterNonLinearity:
    enabled: false
    createHistos: true
ClusterNonLinearity_HadCorr:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerHadCorr_1
ClusterNonLinearity_M02SubtractionConst500:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerConst500_1
ClusterNonLinearity_M02SubtractionFrac05:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerFrac05_1
ClusterNonLinearity_M02SubtractionFrac1:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerFrac1_1
ClusterTrackMatcher:
    enabled: false
    createHistos: true
ClusterTrackMatcher_HadCorr:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerHadCorr_2
ClusterTrackMatcher_M02SubtractionConst500:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerConst500_2
ClusterTrackMatcher_M02SubtractionFrac05:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerFrac05_2
ClusterTrackMatcher_M02SubtractionFrac1:
    enabled: true
    clusterContainersNames:
        - baseClusterContainerFrac1_2
ClusterHadronicCorrection:
    enabled: false
    createHistos: true
ClusterHadronicCorrection_HadCorr:
    enabled: true
    hadCorr: 2.
    clusterContainersNames:
        - baseClusterContainerHadCorr_2
ClusterHadronicCorrection_M02SubtractionConst500:
    enabled: true
    useM02SubtractionScheme: true
    useConstantSubtraction: true
    hadCorr: 2.
    constantSubtractionValue: 0.5
    clusterContainersNames:
        - baseClusterContainerConst500_2
ClusterHadronicCorrection_M02SubtractionFrac05:
    enabled: true
    useM02SubtractionScheme: true
    useConstantSubtraction: false
    hadCorr: 1.5
    clusterContainersNames:
        - baseClusterContainerFrac05_2
ClusterHadronicCorrection_M02SubtractionFrac1:
    enabled: true
    useM02SubtractionScheme: true
    useConstantSubtraction: false
    hadCorr: 2.
    clusterContainersNames:
        - baseClusterContainerFrac1_2
